
export PATH=$PATH:$HOME/rawtran:$HOME/fitspng

DATADIR=/home/ftp/pub/kurs/podzim18/CanonEOS_60D

FILES=$(ls $DATADIR/*.CR2 | sort | \
	       awk 'BEGIN {q=0;} {if( $0~/281/ ) {q=1;} if( $0~/409/ ) {q=0;} if( q == 1) print; }')

DARKS=""
for A in $DATADIR/IMG_041[0,1].CR2; do
    B=$(basename $A)
    X=${B%CR2}fits
    DARKS="$DARKS $X"
    rawtran -c P -A "-j -t 0" -o $X $A
done
munipack dark -o dark.fits $DARKS

N=0
for A in $FILES; do
    B=$(basename $A)
    C=${B%CR2}
    X=${C}fits
    P=${C}png
    rawtran -o $X -E dark.fits $A
    I=$(printf "%03d" $N)
    fitspng -o noc_$I.png -f asinh -s 4 -fl 600,5e4 $X
    N=$((N+1))
done

# http://wiki.webmproject.org/howtos/convert-png-frames-to-webm-video

CT=$(ls noc_*.png | wc -l)
png2yuv -I p -f 18 -b 0 -n $CT -j noc_%03d.png > noc.yuv
vpxenc --good --cpu-used=0 --auto-alt-ref=1 --lag-in-frames=16 --end-usage=vbr --passes=2 --threads=2 --target-bitrate=3000 -o noc.webm noc.yuv



# star-trails
rm -f IMG_041[0,1].fits

gfortran -Wall -fcheck=all -o strails fitsio.f95 strails.f08 -lcfitsio
rm -f strails.fits && ls IMG_*.fits | ./strails

fitspng -o strails.png -f asinh -s 4 -fl 0,5e4 strails.fits
fitspng -o strails1.png -f asinh -s 4 -fl 0,5e4 strails1.fits
fitspng -o strails2.png -f asinh -s 4 -fl 0,7e4 strails2.fits
